import numpy as np
import wave

class pyjamsParams:
    fs = 44100
    outputFileName = 'out.wav'

def convertToInt16(wav):
    wav = wav - np.mean(wav)
    wavMin = np.min(wav)
    wavMax = np.max(wav)
    scale = 32767.0/max(wavMin,wavMax);
    wav = (wav*scale).astype(np.int16)
    return wav

def writeOutput(wav):
    p = pyjamsParams
    wav = convertToInt16(wav)
    f = wave.open(p.outputFileName,'wb')
    f.setnchannels(1)
    f.setsampwidth(wav.itemsize)
    f.setframerate(p.fs)
    f.setnframes(len(wav))
    f.writeframes(wav)
    f.close()
    print('wrote out ' + str(len(wav)) + ' samples to ' + p.outputFileName)

def squareTone(hz,sec):
    p = pyjamsParams
    t = np.arange(0.0,sec,1.0/p.fs,np.float32)
    tone = np.sign(np.cos(t*(2*np.pi*hz)))
    return tone

